Fred Api (v1)

Download OpenAPI specification:

Authentication

Resources

AccessFeature

AccessFeature_HasAccess

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
resourceName
required
string or null

Responses

Response samples

Content type
application/json
true

Check if Access is denied on a resource for an enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

resourceName
required
string or null

Resource Name

Responses

Response samples

Content type
application/json
true

Grant access on a resource for an enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

resourceName
required
string or null

Resource Name

Responses

Response samples

Content type
application/json
true

Remove access to a resource for an enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

resourceName
required
string or null

Resource Name

Responses

Response samples

Content type
application/json
true

Deny access for a given enterprise and resource

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

resource
required
string or null

Resource Name

Responses

GetEnterprise Rights and disable for enterpriseId = 0

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "property1": "string",
  • "property2": "string"
}

AccessFeature_GetAllExistingRights

Authorizations:
oauth2

Responses

Response samples

Content type
application/json
{
  • "property1": [
    ],
  • "property2": [
    ]
}

AccountFile

Retrieve a specific AccountFileViewModel

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountFileId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "AccountNoteId": 0,
  • "FileId": 0,
  • "FileName": "string",
  • "FileUrl": "string"
}

Delete a AccountFile

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountFileId
required
integer <int32>

Responses

Retrieve a list of AccountFileViewModel related to one account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountId
integer <int32>
subAccountId
integer or null <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Insert AccountFile

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountNoteId
integer <int32>
Request Body schema: multipart/form-data
File
required
string <binary>

File

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "AccountNoteId": 0,
  • "FileId": 0,
  • "FileName": "string",
  • "FileUrl": "string"
}

Associate an existing document to an account note.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
AccountNoteId
required
integer <int32>
FileId
required
integer <int32>

Responses

Request samples

Content type
{
  • "AccountNoteId": 0,
  • "FileId": 0
}

Response samples

Content type
application/json
{
  • "Id": 0,
  • "AccountNoteId": 0,
  • "FileId": 0,
  • "FileName": "string",
  • "FileUrl": "string"
}

AccountingDocument

AccountingDocument_Upload

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

Request Body schema: multipart/form-data
AccountingFileType
string
Enum: "Unknown" "ExpenseReport" "SupplierBill" "ClientBill" "Other"
Documents
required
Array of strings <binary> [ items <binary > ]

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AccountingDocumentMapping

Retrieve Accounting Document mappings for this operation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AccountingDocuments

AccountingDocuments_AttachDocument

Authorizations:
oauth2
path Parameters
dossierId
required
integer <int32>
Request Body schema: multipart/form-data
File
required
string <binary>
EntryId
integer <int32>
Date
string or null <date-time>
Reference
string or null
FileName
required
string

Responses

Response samples

Content type
application/json
0
0

AccountingDocuments_GetDocument

Authorizations:
oauth2
path Parameters
dossierId
required
integer <int32>
documentId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "Url": "string"
}

AccountingEntryAnalytics

Get entry lines analytic for specific entryIds

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The accounting folder Id

query Parameters
entryIds
Array of integers or null <int32> [ items <int32 > ]

The entry Ids

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Upsert entry line analytics by entry ids

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (UpsertAnalyticsByEntryIdCommand)
SourceId
string or null
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra"

Responses

Request samples

Content type
{
  • "Entries": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

ADMIN ONLY

Authorizations:
oauth2
query Parameters
enterpriseIds
Array of integers or null <int32> [ items <int32 > ]
execute
boolean
Default: false

Responses

Response samples

Content type
application/json
{
  • "FolderResults": [
    ]
}

ADMIN ONLY

Authorizations:
oauth2

Responses

Response samples

Content type
application/json
[
  • 0
]

AccountingEntryLinesAnalytics

Upsert entry line analytics by entry line ids

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
EntryLineIds
required
Array of integers <int64> [ items <int64 > ]
required
Array of objects (UpsertAxisAnalyticsByEntryLineIdCommand)
SourceId
string or null
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra"

Responses

Request samples

Content type
{
  • "EntryLineIds": [
    ],
  • "Axises": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

Insert entry line analytics without any consistency checks

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (AddEntryLineAnalyticsWithoutCheckCommand)
SourceId
string or null
Source
string or null
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra"

Responses

Request samples

Content type
{
  • "EntryLineAnalyticsWithoutCheckCommands": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

Post analytics on entry lines.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
EntryLineIds
required
Array of integers <int64> unique [ items <int64 > ]
required
Array of objects (AddAxisAnalyticsCommand)
SourceId
string or null
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra"

Responses

Request samples

Content type
{
  • "EntryLineIds": [
    ],
  • "Axises": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

Post analytics tags for entry lines by axis

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
axisId
required
integer <int32>
Request Body schema:
Array
EntryLineId
required
integer <int64>
required
Array of objects (TagAnalyticsByAmount)

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Get analytics untagged entry lines given a period

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Response samples

Content type
application/json
0
0

Get outdated analytics entry lines given a period

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Response samples

Content type
application/json
0
0

Outdate entry lines analytics on entry line

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
Source
required
string
Enum: "Unknown" "AccountingDocument" "BankTransaction"
SourceId
required
integer <int32>
AxisIds
required
Array of integers <int32> [ items <int32 > ]
UpdatedAt
required
string <date-time>

Responses

Request samples

Content type
{
  • "Source": "Unknown",
  • "SourceId": 0,
  • "AxisIds": [
    ],
  • "UpdatedAt": "2019-08-24T14:15:22Z"
}

Delete analytics from managed entry lines

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
EntryLineIds
required
Array of integers <int64> [ items <int64 > ]

Responses

Request samples

Content type
{
  • "EntryLineIds": [
    ]
}

Get axis and tags usages count

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Axis": [
    ]
}

AccountingFolder

Get accounting folder summary

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "ExternalId": "string",
  • "UniqueName": "string",
  • "Siren": "string",
  • "Nic": "string",
  • "Siret": "string",
  • "CodeNafId": 0,
  • "LegalFormId": 0,
  • "LegalFormDisplayName": "string",
  • "VatSystemId": 0,
  • "TaxSystemId": 0,
  • "ChartOfAccountId": 0,
  • "ExtendedChartOfAccountsId": 0,
  • "VatTaxObligationReference": "string",
  • "CseType": "None",
  • "AccountingType": "Engagement",
  • "AccountingMode": "Manual",
  • "ManagementMode": "TotalProduction",
  • "AccountingFolderTypology": "BookKeeping",
  • "SpecificTreatmentType": "None",
  • "ContractType": "Normal",
  • "StateMode": "Active",
  • "StateModeClosingDate": "2019-08-24T14:15:22Z",
  • "CompanyId": 0,
  • "Addresses": [
    ],
  • "TradeName": "string",
  • "UrlLogo": "string",
  • "Container": "string",
  • "AcceptProviderEmails": true,
  • "IsEligibleToAi": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "TaxSystem": {
    },
  • "Email": "string",
  • "Id": 0,
  • "Name": "string"
}

Create folder with roles in company Required : Email, FirstName, LastName, Roles

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>
Request Body schema:
Ape
string or null [ 3 .. 6 ] characters
Deprecated
CodeNafId
integer or null <int32>
Siren
required
string [ 0 .. 9 ] characters
Nic
string or null [ 0 .. 5 ] characters
Name
required
string
Telephone
string or null
object (LocationCommand)
LegalFormId
integer or null <int32>
LegalFormDisplayName
string or null [ 0 .. 150 ] characters
TaxSystemId
integer or null <int32>
VatSystemId
integer or null <int32>
CountryCodeId
integer or null <int32>
AccountingType
string or null
Enum: "Engagement" "Trésorerie"
ExerciseBeginDate
required
string <date-time>
ExerciseEndDate
required
string <date-time>
MissionLetterDate
string or null <date-time>
VatDeadlineDay
integer or null <int32>
VatTaxObligationReference
string or null
VatRateOnTaxableSales
Array of numbers or null <decimal> [ items <decimal > ]
VatRateOnTaxablePurchases
number or null <double>
SalesExigibilite
string or null
Enum: "Unknown" "OnReceipts" "OnDebits" "VatOptionOnDebits" "Mixed"
OwnerFirstName
required
string
OwnerLastName
required
string
ExternalId
string or null
ExternalSystemId
string or null <= 50 characters
ChartOfAccountsType
required
string
Enum: "InqomPcg" "PCAAssociatif" "PCGeneral" "PCCSE" "PCNotary" "PCAgricole"
ExtendedChartOfAccountsId
integer or null <int32>
AccountingFolderTypology
required
string
Enum: "BookKeeping" "RevisionClosing"
SpecificTreatmentType
string or null
Enum: "None" "Agricultural"
CseType
string or null
Enum: "None" "Small" "Medium" "Large"
IsEligibleForReducedRate
required
boolean
TaxIntracommunityNumber
string or null
HasCfeLiability
boolean or null
Rof
string or null
RegistrationCity
string or null
RegistrationType
string or null
Enum: "None" "A" "B"
RegistrationDate
string or null <date-time>
Activity
string or null
CreationDate
string or null <date-time>
AccountingSoftwareName
string or null
WebSite
string or null
Email
string or null
Array of objects or null (ValueTuple[DateTime,DateTime])
StateMode
string or null
Enum: "Active" "Closing" "Archived" "Migration"
IsListedOnTradeDirectory
required
boolean
ShareCapital
number or null <double>
ParValue
number or null <double>
InventoryValue
number or null <double>
ShareTotalCount
integer or null <int64>
HasProductionLegalAnnexesAnnualAccounts
required
boolean
HasVatKeeping
required
boolean
HasAccountingSoftware
required
boolean
IsSubjectToCvae
required
boolean
IsCvaeAdvanceDeposit
required
boolean
RofCVAE
string or null
IsMonoEstablishment
required
boolean
IsSubjectTo1330Cvae
required
boolean
AverageStaffCount
integer or null <int32>
ExerciceEndStaffCount
integer or null <int32>
PayrollManagedByCabinet
boolean or null
WithDepositeISTax
required
boolean
TradeName
string or null
IsAppelALaGenerositeDuPublic
boolean or null
IsMedicoSocial
required
boolean
ContractDistribution
required
boolean
Array of objects or null (CreateAccountingFolderStakeholderCommand)
Array of objects or null (CreateAccountingFolderAddressCommand)
AccountingMode
string or null
Enum: "Manual" "Auto"
ManagementMode
string or null
Enum: "TotalProduction" "PreAccounting"

Responses

Request samples

Content type
{
  • "Ape": "string",
  • "CodeNafId": 0,
  • "Siren": "string",
  • "Nic": "strin",
  • "Name": "string",
  • "Telephone": "string",
  • "Location": {
    },
  • "LegalFormId": 0,
  • "LegalFormDisplayName": "string",
  • "TaxSystemId": 0,
  • "VatSystemId": 0,
  • "CountryCodeId": 0,
  • "AccountingType": "Engagement",
  • "ExerciseBeginDate": "2019-08-24T14:15:22Z",
  • "ExerciseEndDate": "2019-08-24T14:15:22Z",
  • "MissionLetterDate": "2019-08-24T14:15:22Z",
  • "VatDeadlineDay": 0,
  • "VatTaxObligationReference": "string",
  • "VatRateOnTaxableSales": [
    ],
  • "VatRateOnTaxablePurchases": 0.1,
  • "SalesExigibilite": "Unknown",
  • "OwnerFirstName": "string",
  • "OwnerLastName": "string",
  • "ExternalId": "string",
  • "ExternalSystemId": "string",
  • "ChartOfAccountsType": "InqomPcg",
  • "ExtendedChartOfAccountsId": 0,
  • "AccountingFolderTypology": "BookKeeping",
  • "SpecificTreatmentType": "None",
  • "CseType": "None",
  • "IsEligibleForReducedRate": true,
  • "TaxIntracommunityNumber": "string",
  • "HasCfeLiability": true,
  • "Rof": "string",
  • "RegistrationCity": "string",
  • "RegistrationType": "None",
  • "RegistrationDate": "2019-08-24T14:15:22Z",
  • "Activity": "string",
  • "CreationDate": "2019-08-24T14:15:22Z",
  • "AccountingSoftwareName": "string",
  • "WebSite": "string",
  • "Email": "string",
  • "Exercises": [
    ],
  • "StateMode": "Active",
  • "IsListedOnTradeDirectory": true,
  • "ShareCapital": 0.1,
  • "ParValue": 0.1,
  • "InventoryValue": 0.1,
  • "ShareTotalCount": 0,
  • "HasProductionLegalAnnexesAnnualAccounts": true,
  • "HasVatKeeping": true,
  • "HasAccountingSoftware": true,
  • "IsSubjectToCvae": true,
  • "IsCvaeAdvanceDeposit": true,
  • "RofCVAE": "string",
  • "IsMonoEstablishment": true,
  • "IsSubjectTo1330Cvae": true,
  • "AverageStaffCount": 0,
  • "ExerciceEndStaffCount": 0,
  • "PayrollManagedByCabinet": true,
  • "WithDepositeISTax": true,
  • "TradeName": "string",
  • "IsAppelALaGenerositeDuPublic": true,
  • "IsMedicoSocial": true,
  • "ContractDistribution": true,
  • "Stakeholders": [
    ],
  • "Addresses": [
    ],
  • "AccountingMode": "Manual",
  • "ManagementMode": "TotalProduction"
}

Response samples

Content type
application/json
0
0

Récupération des dossiers

Authorizations:
oauth2

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get general information of accounting folder Deprecated

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "MissionLetterDate": "2019-08-24T14:15:22Z",
  • "CodeApe": "string",
  • "CodeNafId": 0,
  • "LegalFormCode": "string",
  • "LegalFormId": 0,
  • "VatSystemCode": "string",
  • "VatSystemId": 0,
  • "TaxSystemId": 0,
  • "AccountingType": "Engagement",
  • "SalesExigibilite": "Unknown",
  • "Nic": "string",
  • "Id": 0,
  • "ExternalId": "string",
  • "UniqueName": "string",
  • "Name": "string",
  • "Street": "string",
  • "City": "string",
  • "ZipCode": "string",
  • "Siren": "string",
  • "UrlLogo": "string",
  • "ContractType": "Normal"
}

Get general information of accounting folder and company Deprecated

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>
folderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "MissionLetterDate": "2019-08-24T14:15:22Z",
  • "Company": {
    },
  • "Id": 0,
  • "ExternalId": "string",
  • "UniqueName": "string",
  • "Name": "string",
  • "Street": "string",
  • "City": "string",
  • "ZipCode": "string",
  • "Siren": "string",
  • "UrlLogo": "string",
  • "ContractType": "Normal"
}

Get legal information of accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "ShareCapital": 0.1,
  • "ParValue": 0.1,
  • "InventoryValue": 0.1,
  • "ShareTotalCount": 0,
  • "NaturalPersonShareholdersTotalCount": 0,
  • "NaturalPersonShareholdersTotalShareCount": 0,
  • "LegalPersonShareholdersTotalCount": 0,
  • "LegalPersonShareholdersTotalShareCount": 0,
  • "MinorShareholdersCount": 0,
  • "MinorShareholdersShareCount": 0,
  • "ShareholderPartsCompletion": {
    },
  • "MajorShareholders": [
    ],
  • "MinorShareholders": [
    ],
  • "Subsidiaries": [
    ]
}

Change capital information of accounting folder in company

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema: multipart/form-data
ShareCapital
number or null <double>
ParValue
number or null <double>
InventoryValue
number or null <double>
ShareTotalCount
integer or null <int64>
NaturalPersonShareholdersTotalCount
integer or null <int32>
NaturalPersonShareholdersTotalShareCount
integer or null <int32>
LegalPersonShareholdersTotalCount
integer or null <int32>
LegalPersonShareholdersTotalShareCount
integer or null <int32>
MinorShareholdersCount
integer or null <int32>
MinorShareholdersShareCount
integer or null <int32>

Responses

Get social information of accounting folder Deprecated

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>
folderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "StaffCountAverage": 0,
  • "StaffCountFinal": 0,
  • "PayrollManagedByAccountingFirm": true
}

Change social information of accounting folder

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>
folderId
required
integer <int32>
Request Body schema: multipart/form-data
StaffCountAverage
integer or null <int32>
StaffCountFinal
integer or null <int32>
PayrollManagedByCabinet
boolean or null

Responses

Get social information of accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "StaffCountAverage": 0,
  • "StaffCountFinal": 0,
  • "PayrollManagedByAccountingFirm": true
}

Get if accounting folder exist

Authorizations:
oauth2
path Parameters
folderId
required
integer <int32>

Responses

Response samples

Content type
application/json
true

Get if accounting folder container

Authorizations:
oauth2
path Parameters
folderId
required
integer <int32>

Responses

Response samples

Content type
application/json
"string"

Get accounting firms related to the enterprise Deprecated

Authorizations:
oauth2
path Parameters
folderId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get company related to the accountingFolder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get accounting folder fiscal integration informartions

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "AccountingFolderId": 0,
  • "IsGroupHead": true,
  • "FiscalIntegratedSubsidiaries": [
    ],
  • "IsFiscalIntegrated": true,
  • "GroupHeadLegalPersonId": 0,
  • "FiscalIntegrationDateBegin": "2019-08-24T14:15:22Z",
  • "FiscalIntegrationDateEnd": "2019-08-24T14:15:22Z",
  • "OwnerFiscalIntegrationDateBegin": "2019-08-24T14:15:22Z",
  • "OwnerFiscalIntegrationDateEnd": "2019-08-24T14:15:22Z",
  • "IsFiscalGroupEligibleForReducedRate": true
}

Set fiscal integration for accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
GroupHeadLegalPersonId
integer or null <int32>
OwnerFiscalIntegrationDateBegin
string or null <date-time>
OwnerFiscalIntegrationDateEnd
string or null <date-time>
FiscalIntegrationDateBegin
string or null <date-time>
FiscalIntegrationDateEnd
string or null <date-time>
IsFiscalGroupEligibleForReducedRate
required
boolean
Array of objects or null (FiscalIntegratedSubsidiaryCommand)

Responses

Request samples

Content type
{
  • "GroupHeadLegalPersonId": 0,
  • "OwnerFiscalIntegrationDateBegin": "2019-08-24T14:15:22Z",
  • "OwnerFiscalIntegrationDateEnd": "2019-08-24T14:15:22Z",
  • "FiscalIntegrationDateBegin": "2019-08-24T14:15:22Z",
  • "FiscalIntegrationDateEnd": "2019-08-24T14:15:22Z",
  • "IsFiscalGroupEligibleForReducedRate": true,
  • "FiscalIntegratedSubsidiaryCommands": [
    ]
}

Active accountingFolder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Id dossier

Responses

Admin - Get accounting folder configuration for document

Authorizations:
oauth2
query Parameters
accountingFolderId
integer or null <int32>
accountingFolderName
string or null

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "ExternalId": "string",
  • "UniqueName": "string",
  • "TradeName": "string",
  • "Name": "string",
  • "UrlLogo": "string",
  • "Container": "string",
  • "Siren": "string",
  • "IsEligibleToAi": true,
  • "AcceptProviderEmails": true,
  • "TaxSystem": {
    },
  • "Addresses": [
    ],
  • "AccountingType": "Engagement",
  • "ContractType": "Normal",
  • "StateMode": "Active",
  • "CompanyId": 0,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "TaxSystemId": 0,
  • "SpecificTreatmentType": "None"
}

AccountingFolderAccountingSettings

Get accounting folder settings

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "AccountLabelUpperCase": true,
  • "AccountNameAligned": true,
  • "AccountNameAlignmentMinChars": 0,
  • "ManageQuantities": true,
  • "ManageSellingPrice": true,
  • "ManageDueDate": true
}

Set accounting folder settings

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
AccountLabelUpperCase
boolean or null
AccountNameAligned
boolean or null
AccountNameAlignmentMinChars
integer or null <int32>
ManageQuantities
boolean or null
ManageSellingPrice
boolean or null
ManageDueDate
boolean or null

Responses

Request samples

Content type
{
  • "AccountLabelUpperCase": true,
  • "AccountNameAligned": true,
  • "AccountNameAlignmentMinChars": 0,
  • "ManageQuantities": true,
  • "ManageSellingPrice": true,
  • "ManageDueDate": true
}

Response samples

Content type
application/json
{
  • "AccountLabelUpperCase": true,
  • "AccountNameAligned": true,
  • "AccountNameAlignmentMinChars": 0,
  • "ManageQuantities": true,
  • "ManageSellingPrice": true,
  • "ManageDueDate": true
}

AccountingFolderAccountsCategories

Get accounts from categories given an accounting folder id

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
startDate
string or null <date-time>
categoryIds
Array of strings or null
withoutAuxiliaryAccounts
boolean or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Move unitary an account from one heading to another given a folderId

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
Accounts
required
Array of strings unique
CategoryIdOrigin
required
string
CategoryIdDestination
required
string

Responses

Request samples

Content type
{
  • "Accounts": [
    ],
  • "CategoryIdOrigin": "string",
  • "CategoryIdDestination": "string"
}

AccountingFolderFiscal

Get general information of accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "Name": "string",
  • "ChartOfAccountId": 0,
  • "ExtendedChartOfAccountsId": 0,
  • "CompanyId": 0,
  • "TaxSystemId": 0,
  • "TaxSystemCode": "string",
  • "TaxSystemSubCode": "string",
  • "TaxSystemDescription": "string",
  • "TaxSystemCountryCodeId": 0,
  • "TaxSystemIsBalance": true,
  • "TaxSystemWithDepositeISTax": true,
  • "TaxSystemIsEligibleForReducedRate": true,
  • "TaxSystemRof": "string",
  • "VatSystemId": 0,
  • "IsAgriculturalCA12Applicable": true,
  • "VatSystemCode": "string",
  • "VatSystemDescription": "string",
  • "VatSystemCountryCodeId": 0,
  • "VatSystemWithDeposit": true,
  • "VatDeadlineDay": 0,
  • "VatTaxObligationReference": "string",
  • "TaxIntracommunityNumber": "string",
  • "VatRateOnTaxablePurchases": 0.1,
  • "VatRateOnTaxableSales": [
    ],
  • "SalesExigibilite": "Unknown",
  • "IsCvaeAdvanceDeposit": true,
  • "IsSubjectToCvae": true,
  • "IsSubjectTo1330Cvae": true,
  • "IsMonoEstablishment": true,
  • "RofCVAE": "string",
  • "IsSubjectToCbCR": true,
  • "IsOverHeadCosts": true,
  • "IsTransferPricing": true,
  • "HasPayrollTaxLiability": true,
  • "HasCfeLiability": true,
  • "TaxReporterGender": "string",
  • "TaxReporterName": "string",
  • "TaxReporterTitle": "string"
}

Get Advisors information of accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get tax regimes for all accounting folders

Authorizations:
oauth2

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AccountingFoldersData

Update accounting folders data

Authorizations:
oauth2
Request Body schema:
FolderIds
required
Array of integers or null <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "FolderIds": [
    ]
}

Get accounting folders data

Authorizations:
oauth2

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Gets unprocessed accounting folders for mendatory empty accounts

Authorizations:
oauth2
query Parameters
MinExerciseBeginDate
string <date-time>
PageSize
integer or null <int32>

Responses

Response samples

Content type
application/json
[
  • 0
]

AccountingImportAdmin

Map accounting documents

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema: multipart/form-data
File
string or null <binary>

Responses

Fix entries labels

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
operationId
required
integer <int32>
Request Body schema: multipart/form-data
File
required
string <binary>

Responses

AccountMapping

Retrieve account mapping for this operation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve account mapping for this operation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve line in file for this account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>
mappingId
required
integer <int32>
query Parameters
pageSize
integer or null <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve account mapping without template

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Update destination account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>
accountMappingId
required
integer <int32>
Request Body schema:
required
AccountId
required
integer <int32>
SubAccountId
integer or null <int32>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0
}

Generate account mappings

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>
Request Body schema:
required
Array of objects or null (AccountMappingCommand)

Responses

Request samples

Content type
{
  • "Mappings": [
    ]
}

Response samples

Content type
application/json
0
0

Import initial mappings

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema: multipart/form-data
File
required
string <binary>

Initial Mapping File

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AccountNote

Retrieve a specific AccountNoteViewModel

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountNoteId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Text": "string",
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    },
  • "AccountFiles": [
    ]
}

Update AccountNote

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountNoteId
required
integer <int32>
Request Body schema:
Text
string or null <= 400 characters
StartDate
string or null <date-time>
EndDate
string or null <date-time>

Responses

Request samples

Content type
{
  • "Text": "string",
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Text": "string",
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    },
  • "AccountFiles": [
    ]
}

Delete a AccountNote

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountNoteId
required
integer <int32>

Responses

Retrieve a list of AccountNoteViewModel related to one account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountId
integer <int32>
subAccountId
integer or null <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Insert AccountNote

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
integer or null <int32>
Text
string or null <= 400 characters
StartDate
string or null <date-time>
EndDate
string or null <date-time>

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Text": "string",
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Text": "string",
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    },
  • "AccountFiles": [
    ]
}

AccountRevision

Get revision of an account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountId
integer <int32>
subAccountId
integer or null <int32>
startDate
string or null <date-time>
endDate
string or null <date-time>

Responses

Response samples

Content type
application/json
{
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Account": {
    },
  • "Tasks": [
    ],
  • "Notes": [
    ]
}

Get all account notes on a given period

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
startDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get remaining work for a revision and a list of account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Array of objects (AccountKeyRequest)
BeginDate
required
string <date-time>
EndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "AccountIds": [
    ],
  • "BeginDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
[
  • {
    }
]

Get revision informations

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Accounts

Create accounts in an accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
OperationId
integer or null <int32>
AtDate
string or null <date-time>
required
Array of objects (CreateSingleAccount)

Responses

Request samples

Content type
{
  • "OperationId": 0,
  • "AtDate": "2019-08-24T14:15:22Z",
  • "Accounts": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Get accounts of PCG given an accounting folder id

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
withStatus
boolean or null
Default: true

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get accounts based on an accounting folder id

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
withDeleted
required
boolean
Default: false
withStatus
boolean or null
Default: true
withoutAuxiliaryAccounts
boolean or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get accounts list untagged analytically

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
required
object (GetAccountsUntaggedAnalyticallyQueryPeriod)

Responses

Request samples

Content type
{
  • "Period": {
    }
}

Response samples

Content type
application/json
[
  • {
    }
]

Get accounts list by system category

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
Array
string
Enum: "CompteDeCharge" "CompteDeProduit" "CompteDeBilan" "CompteImmobilisation" "CompteDeCapitaux" "CompteDeBanque" "CompteAuxiliaire" "CompteDeStock" "CompteDeTiers" "CompteDeTVA" "CompteSurDebit" "CompteSurEncaissement" "CompteDAchat" "CompteDeVente" "CompteDeTVARegularisation" "CompteDeTVACollectee" "CompteDeTVADeductible" "CompteDeTVAIntraCommunautaire" "CompteDeTiersClients" "CompteDeTiersFournisseurs" "CompteDeTiersClientsParametrageTva" "CompteDeTiersFournisseursParametrageTva" "CompteDeResultatANouveaux" "ComptesDeResultatANouveaux" "CompteDeReportANouveaux1" "ComptesDeReportANouveaux1" "CompteDeReportANouveaux2" "ComptesDeReportANouveaux2" "CompteDeReportANouveaux3" "ComptesDeReportANouveaux3" "CompteDeReportANouveaux4" "ComptesDeReportANouveaux4" "ComptesSpeciaux" "ComptesScopeFournisseurs" "ComptesScopeClients" "ComptesScopeBanques" "ComptesScopeExploitations" "ComptesScopeImmo" "CompteDeTiersFournisseursImmoParametrageTva" "ComptedeTVAAutoLiquidation" "CompteDeTiersFournisseursAvancesAcomptes" "CompteDeTiersClientsAvancesAcomptes"

Responses

Request samples

Content type
[
  • "CompteDeCharge"
]

Response samples

Content type
application/json
[
  • {
    }
]

Get account keys list by system category

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
Array
string
Enum: "CompteDeCharge" "CompteDeProduit" "CompteDeBilan" "CompteImmobilisation" "CompteDeCapitaux" "CompteDeBanque" "CompteAuxiliaire" "CompteDeStock" "CompteDeTiers" "CompteDeTVA" "CompteSurDebit" "CompteSurEncaissement" "CompteDAchat" "CompteDeVente" "CompteDeTVARegularisation" "CompteDeTVACollectee" "CompteDeTVADeductible" "CompteDeTVAIntraCommunautaire" "CompteDeTiersClients" "CompteDeTiersFournisseurs" "CompteDeTiersClientsParametrageTva" "CompteDeTiersFournisseursParametrageTva" "CompteDeResultatANouveaux" "ComptesDeResultatANouveaux" "CompteDeReportANouveaux1" "ComptesDeReportANouveaux1" "CompteDeReportANouveaux2" "ComptesDeReportANouveaux2" "CompteDeReportANouveaux3" "ComptesDeReportANouveaux3" "CompteDeReportANouveaux4" "ComptesDeReportANouveaux4" "ComptesSpeciaux" "ComptesScopeFournisseurs" "ComptesScopeClients" "ComptesScopeBanques" "ComptesScopeExploitations" "ComptesScopeImmo" "CompteDeTiersFournisseursImmoParametrageTva" "ComptedeTVAAutoLiquidation" "CompteDeTiersFournisseursAvancesAcomptes" "CompteDeTiersClientsAvancesAcomptes"

Responses

Request samples

Content type
[
  • "CompteDeCharge"
]

Response samples

Content type
application/json
[
  • {
    }
]

Get destination account suggestions for a transfer

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
accountId
required
integer <int32>
query Parameters
subAccountId
integer or null <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Transfer accounts to a different account

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
IsAggregator
required
boolean
required
Array of objects (AccountKey)
BeginDate
required
string <date-time>
EndDate
required
string <date-time>
required
object (DestinationEntryCommand)

Responses

Request samples

Content type
{
  • "IsAggregator": true,
  • "AccountsSource": [
    ],
  • "BeginDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "DestinationEntry": {
    }
}

Response samples

Content type
application/json
{
  • "CreatedEntryIds": [
    ],
  • "IsPartial": true,
  • "NotTransferredAccounts": [
    ]
}

Revert the overridden account label

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
accountId
required
integer <int32>

Responses

Response samples

Content type
application/json
"string"

Update an account belonging to the chart of account

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
accountId
required
integer <int32>
Request Body schema:
required
Label
string or null
Dividable
boolean or null
Impactable
boolean or null

Responses

Request samples

Content type
{
  • "Label": "string",
  • "Dividable": true,
  • "Impactable": true
}

Response samples

Content type
application/json
{
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Account": 0,
  • "AccountClass": 0,
  • "AccountName": "string",
  • "AccountLabel": "string",
  • "AccountDescription": "string",
  • "Impactable": true,
  • "Dividable": true,
  • "Configurable": true,
  • "Optional": true,
  • "StatusByPeriod": [
    ],
  • "SubAccountLabel": "string",
  • "SubAccountCode": "string",
  • "IsAux": true,
  • "Divided": "None",
  • "ValidFrom": "2019-08-24T14:15:22Z",
  • "ValidTo": "2019-08-24T14:15:22Z",
  • "IsExtended": true,
  • "ArchivedAt": "2019-08-24T14:15:22Z",
  • "DeletedAt": "2019-08-24T14:15:22Z",
  • "BookOperationId": 0
}

Set a list of accounts/sub accounts as processed

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
required
Array of objects (AccountKey)

Responses

Request samples

Content type
{
  • "AccountKeys": [
    ]
}

Trace processed mendatory account

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
ErrorMessage
string or null
Array of objects or null (AccountKey)

Responses

Request samples

Content type
{
  • "ErrorMessage": "string",
  • "AccountKeys": [
    ]
}

Add overridden accounts to an accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
required
Array of objects (AddOverriddenAccountCommand)

Responses

Request samples

Content type
{
  • "Commands": [
    ]
}

fix accounts ADMIN

Authorizations:
oauth2

Responses

fix PC Inqom accounts ADMIN

Authorizations:
oauth2
Request Body schema:
AccountingFolderId
integer or null <int32>
Account
integer or null <int32>

Responses

Request samples

Content type
{
  • "AccountingFolderId": 0,
  • "Account": 0
}

Reallocate to an account

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
required
required
object (AccountKey)
required
object (AccountKey)

Responses

Request samples

Content type
{
  • "OriginAccount": {
    },
  • "DestinationAccount": {
    }
}

Response samples

Content type
application/json
0
0

AccountsCategories

Get accounts-categories given a chart Of Accounts Id

Authorizations:
oauth2
path Parameters
chartOfAccountsId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Set accounts-categories given a chart Of Accounts Id

Authorizations:
oauth2
path Parameters
chartOfAccountsId
required
integer <int32>
Request Body schema:
required
Array
Id
required
string
Label
required
string
Definition
required
string
ValidFrom
string or null <date-time>
ValidTo
string or null <date-time>

Responses

Request samples

Content type
[
  • {
    }
]

Remove accounts-categories given a chart Of Accounts Id

Authorizations:
oauth2
path Parameters
chartOfAccountsId
required
integer <int32>
Request Body schema:
required
Array
Id
string or null
ValidFrom
string or null <date-time>
ValidTo
string or null <date-time>

Responses

Request samples

Content type
[
  • {
    }
]

Get accounts-categories given a accounting folder id Deprecated

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

AccountTask

Retrieve a specific AccountTaskViewModel

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountTaskId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Done": true,
  • "Description": "string",
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    }
}

Update AccountTask

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountTaskId
required
integer <int32>
Request Body schema:
Done
required
boolean
Description
required
string <= 200 characters

Responses

Request samples

Content type
{
  • "Done": true,
  • "Description": "string"
}

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Done": true,
  • "Description": "string",
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    }
}

Delete an AccountTask

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountTaskId
required
integer <int32>

Responses

Retrieve a list of AccountTaskViewModel related to one account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountId
integer <int32>
subAccountId
integer or null <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Insert AccountTask

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
AccountId
required
integer <int32>
SubAccountId
integer or null <int32>
Done
required
boolean
Description
required
string <= 200 characters

Responses

Request samples

Content type
{
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Done": true,
  • "Description": "string"
}

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Done": true,
  • "Description": "string",
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    }
}

Advisors

Get advisors of accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create advisor/stakeholder relation with an accounting folder Deprecated

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>
accountingFolderId
required
integer <int32>
Request Body schema:
required
LegalPersonId
integer or null <int32>
NaturalPersonId
integer or null <int32>
StakeholderType
required
string
Enum: "AuditorOfAccountsTitular" "AuditorOfAccountsSubstitute" "PropertyAdministrator" "CorporateOfficer" "ProfessionalAccountant" "Advisor" "TaxReporter" "LegalRepresentative"

Responses

Request samples

Content type
{
  • "LegalPersonId": 0,
  • "NaturalPersonId": 0,
  • "StakeholderType": "AuditorOfAccountsTitular"
}

Agricultural

Add agricultural operator info for an accounting folder and a person (legal or natural)

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
Request Body schema:
AccountingFolderId
required
integer <int32>
LegalPersonId
integer or null <int32>
NaturalPersonId
integer or null <int32>
MsaNumber
integer or null <int64>
PacageNumber
integer or null <int32>
BndiNumber
string or null
IsOwnerOperator
boolean or null

Responses

Request samples

Content type
{
  • "AccountingFolderId": 0,
  • "LegalPersonId": 0,
  • "NaturalPersonId": 0,
  • "MsaNumber": 0,
  • "PacageNumber": 0,
  • "BndiNumber": "string",
  • "IsOwnerOperator": true
}

Response samples

Content type
application/json
0
0

Get agricultural operator info for an accounting folder and a person (legal or natural)

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
personId
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "PacageNumber": 0,
  • "MsaNumber": 0,
  • "BndiNumber": "string",
  • "IsOwnerOperator": true
}

Update agricultural operator info for an accounting folder and a person (legal or natural)

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
agriculturalOperatorInfoId
required
integer <int32>
Request Body schema:
AccountingFolderId
required
integer <int32>
Id
required
integer <int32>
MsaNumber
integer or null <int64>
PacageNumber
integer or null <int32>
BndiNumber
string or null
IsOwnerOperator
boolean or null

Responses

Request samples

Content type
{
  • "AccountingFolderId": 0,
  • "Id": 0,
  • "MsaNumber": 0,
  • "PacageNumber": 0,
  • "BndiNumber": "string",
  • "IsOwnerOperator": true
}

AnalyticBalances

Get analytic balances by tag ids.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required

query

required
object (GetAnalyticBalancesQueryPeriod)
object (GetAnalyticBalancesQueryPeriod)
ANouveauFilter
required
string
Enum: "Normal" "Without" "Only" "DontCare"
Aggregation
required
string
Enum: "AuxAggregated" "AuxDetailed" "AuxAggregatedAndDetailed" "Pcg" "WithoutAux" "AggregationOnPcAccountWithDetails" "AggregationOnPcAccountWithoutDetails"
BalanceScope
required
string
Enum: "Impacted" "Created" "UnBalanced" "UnReviewed" "BalancedWithUnlettered" "Abnormal" "AllAccount" "AllImpactableAccounts" "Optional" "Mandatory"
TagIds
Array of integers or null <int32> [ items <int32 > ]
AccountFilterIncludesPreviousRange
required
boolean
AuxAccountId
integer or null <int32>
AccountIds
Array of integers or null <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "Current": {
    },
  • "Previous": {
    },
  • "ANouveauFilter": "Normal",
  • "Aggregation": "AuxAggregated",
  • "BalanceScope": "Impacted",
  • "TagIds": [
    ],
  • "AccountFilterIncludesPreviousRange": true,
  • "AuxAccountId": 0,
  • "AccountIds": [
    ]
}

Response samples

Content type
application/json
{
  • "Balances": [
    ]
}

Get analytic balances for each provided tag id.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required

query

required
object (GetAnalyticBalancesByTagIdQueryPeriod)
object (GetAnalyticBalancesByTagIdQueryPeriod)
ANouveauFilter
required
string
Enum: "Normal" "Without" "Only" "DontCare"
Aggregation
required
string
Enum: "AuxAggregated" "AuxDetailed" "AuxAggregatedAndDetailed" "Pcg" "WithoutAux" "AggregationOnPcAccountWithDetails" "AggregationOnPcAccountWithoutDetails"
BalanceScope
required
string
Enum: "Impacted" "Created" "UnBalanced" "UnReviewed" "BalancedWithUnlettered" "Abnormal" "AllAccount" "AllImpactableAccounts" "Optional" "Mandatory"
TagIds
Array of integers or null <int32> [ items <int32 > ]
AccountFilterIncludesPreviousRange
required
boolean
AuxAccountId
integer or null <int32>
AccountIds
Array of integers or null <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "Current": {
    },
  • "Previous": {
    },
  • "ANouveauFilter": "Normal",
  • "Aggregation": "AuxAggregated",
  • "BalanceScope": "Impacted",
  • "TagIds": [
    ],
  • "AccountFilterIncludesPreviousRange": true,
  • "AuxAccountId": 0,
  • "AccountIds": [
    ]
}

Response samples

Content type
application/json
{
  • "BalancesByTagId": [
    ]
}

Get analytic balance summarize by axis Id.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required

query

required
object (GetAnalyticBalancesSummaryByAxisIdsQueryPeriod)
AccountScope
string or null
Enum: "General" "Providers" "Customers" "IncomeStatement" "FixedAsset" "Bank"

Responses

Request samples

Content type
{
  • "Period": {
    },
  • "AccountScope": "General"
}

Response samples

Content type
application/json
{
  • "Summaries": [
    ]
}

Get analytic balance by axis Id.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
axisId
required
integer <int32>
Request Body schema:
required

query

required
object (GetAnalyticBalanceByAxisIdQueryPeriod)
object (GetAnalyticBalanceByAxisIdQueryPeriod)
AccountScope
string or null
Enum: "General" "Providers" "Customers" "IncomeStatement" "FixedAsset" "Bank"
Aggregation
required
string
Enum: "AuxAggregated" "AuxDetailed" "AuxAggregatedAndDetailed" "Pcg" "WithoutAux" "AggregationOnPcAccountWithDetails" "AggregationOnPcAccountWithoutDetails"
AuxAccountId
integer or null <int32>
WithTags
string or null
Enum: "Untagged" "Tagged" "All"

Responses

Request samples

Content type
{
  • "Period": {
    },
  • "PeriodNMinusOne": {
    },
  • "AccountScope": "General",
  • "Aggregation": "AuxAggregated",
  • "AuxAccountId": 0,
  • "WithTags": "Untagged"
}

Response samples

Content type
application/json
{
  • "AxisId": 0,
  • "Tags": [
    ]
}

Export analytic balances.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
exportType
string
Value: "Xlsx"
Request Body schema:
required

query

AxisId
required
integer <int32>
required
object (ExportAnalyticBalancesQueryPeriod)
object (ExportAnalyticBalancesQueryPeriod)
AccountScope
string or null
Enum: "General" "Providers" "Customers" "IncomeStatement" "FixedAsset" "Bank"
WithTags
string or null
Enum: "Untagged" "Tagged" "All"

Responses

Request samples

Content type
{
  • "AxisId": 0,
  • "Period": {
    },
  • "PeriodNMinusOne": {
    },
  • "AccountScope": "General",
  • "WithTags": "Untagged"
}

Response samples

Content type
application/json
"string"

AnalyticsMapping

Retrieve analytics mappings for this operation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
operationId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Update destination analytics mapping

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
analyticsMappingId
required
integer <int32>
Request Body schema:
required
AxisId
required
integer <int32>
TagId
required
integer <int32>

Responses

Request samples

Content type
{
  • "AxisId": 0,
  • "TagId": 0
}

ANouveau

Detail an A-Nouveau for an account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
anEntryId
required
integer <int32>
Request Body schema:
required
required
Array of objects (AccountKey)

Responses

Request samples

Content type
{
  • "Accounts": [
    ]
}

Generate "A Nouveau" based from previous exercise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise id to search

query Parameters
previousClosedExerciseId
required
integer <int32>

id of previous exercise on which the AN is based

journalId
integer or null <int32>

Optionnal journalId

forceIfEvenLetteringsNotBalanced
boolean or null
ignoreWarnings
boolean or null

Responses

Delete A-Nouveau Entry Starting From

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
start
required
string <date-time>

Responses

Checks wether accounting folder contain AN entries over some period

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
startDate
required
string <date-time>
endDate
required
string <date-time>

Responses

Response samples

Content type
application/json
true

Deletes A-Nouveau entries not in Operation

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
operationId
required
integer <int32>

Responses

Audit

Retrieve all documents from DocumentDb for given enterprise

Authorizations:
oauth2
query Parameters
enterpriseId
integer or null <int32>
userId
integer or null <int32>
entityChangeType
string or null
Enum: "Unknown" "Technical" "BookEntry" "BookBalance" "User" "Ticket" "Planning" "BankinItem" "AccountingFiles" "FileItem" "Email" "Comment" "Invite" "Enterprise" "SupportAction" "AssignUserRole" "BookEntryLine" "BookAccountState" "InboundMail" "AssignationConfirmation" "NotificationToSale" "DownloadFiles" "NewMessage"
entityAction
string or null
Enum: "CreateBookEntry" "UpdateBookEntry" "Match" "Unmatch" "ImportedBookEntry" "ValidatedBookEntry" "CreateBookLedger" "UpdateBookLedger" "CreateUser" "UpdateUser" "ActivateUser" "DeactivateUser" "ResetPassword" "CreateTicket" "CreateComment" "ResolveTicket" "ReopenTicket" "PersonalNotifyTicket" "CreateTicketEmergency" "CreateCommentEmergency" "DeleteAbsence" "DeleteVacation" "CreateAbsence" "CreateVacation" "CountDoublonAccountingFiles" "AccountingFileUploaded" "VacationValidated" "CreateAccountingFile" "CreateAdministratifFile" "VacationRejected" "UpdateAccountingFile" "UpdateAdministratifFile" "UpdateFileType" "UpdateThumbUrl" "UpdatedByCheckSumJobs" "UpdatedByDropBoxJobs" "UpdatedByMagasJobs" "SoftDeleteFile" "RealDeleteFile" "SoftDeletedByMagasJobs" "BankinStateNeedHumanAction" "BankinStateInvalidCredentials" "UpdatedByOcrJobs" "CreatePrivateNote" "MessagingReplyTo" "ReceivedEmailError" "FileIsAttachedToTicket" "TicketWithoutAnswerAfter24H" "MentionPrivate" "MentionPublic" "CreateNote" "FileIsAttachedToRevision" "NewUserInFred" "ExistedUserInvitation" "NewCollaboratorEmploye" "ExistedCollaboratorEmploye" "NewCollaboratorDaf" "ExistedCollaboratorDaf" "NewCollaboratorFreelancer" "ExistedCollaboratorFreelancer" "NewCollaboratorCeo" "ExistedCollaboratorCeo" "NewCollaboratorCabinet" "ExistedCollaboratorCabinet" "EnterpriseArchive" "EnterpriseClose" "EnterpriseActivate" "EnterpriseInactivate" "EnterpriseCreate" "EnterpriseNameUpdate" "EnterpriseSoftDelete" "EnterpriseUndelete" "EnterpriseAccountingModeUpdate" "EnterpriseTypeToDemo" "EnterpriseTypeToFake" "EnterpriseTypeToTrial" "EnterpriseTypeToNormal" "EnterpriseToIa" "EnterpriseToManual" "EnterpriseToMaga" "EnterpriseToMagaToIa" "EnterpriseToPreAccounting" "EnterpriseToTotalProduction" "AssignmentToAccountant" "AssignmentToCeoDaf" "DeassignmentToAccountant" "Move" "Remove" "DeassignmentToClient" "PublishTickets" "UpdateBookAccountStateStatusAnomaly" "UpdateBookAccountStateStatusValidate" "UpdateBookAccountStateComment" "ReviseEntryLine" "UnreviseEntryLine" "UnsupportedMultipleRecipients" "UnsupportedReceivedEmailFormat" "UnAuthorizedEmail" "ReceiveMailReport" "NoAttachmentFound" "ForwardEmail" "MailToPdfReport" "ConfirmationToClient" "ConfirmationToChiefAccountant" "ConfirmationToChiefMission" "Declined" "Voided" "Completed" "Confirmed" "DownloadFiles" "NewMessage" "NewCollaborator" "WelcomeEmail" "InviteForRegister"
entityId
string or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve all documents from DocumentDb for given enterprise

Authorizations:
oauth2
query Parameters
enterpriseId
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve all documents from DocumentDb for given user

Authorizations:
oauth2
query Parameters
enterpriseId
integer <int32>
userId
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve documents for specific entity type for specified enterprise Deprecated

Authorizations:
oauth2
query Parameters
enterpriseId
integer <int32>
userId
integer or null <int32>
entityChangeType
string or null
Enum: "Unknown" "Technical" "BookEntry" "BookBalance" "User" "Ticket" "Planning" "BankinItem" "AccountingFiles" "FileItem" "Email" "Comment" "Invite" "Enterprise" "SupportAction" "AssignUserRole" "BookEntryLine" "BookAccountState" "InboundMail" "AssignationConfirmation" "NotificationToSale" "DownloadFiles" "NewMessage"
entityAction
string or null
Enum: "CreateBookEntry" "UpdateBookEntry" "Match" "Unmatch" "ImportedBookEntry" "ValidatedBookEntry" "CreateBookLedger" "UpdateBookLedger" "CreateUser" "UpdateUser" "ActivateUser" "DeactivateUser" "ResetPassword" "CreateTicket" "CreateComment" "ResolveTicket" "ReopenTicket" "PersonalNotifyTicket" "CreateTicketEmergency" "CreateCommentEmergency" "DeleteAbsence" "DeleteVacation" "CreateAbsence" "CreateVacation" "CountDoublonAccountingFiles" "AccountingFileUploaded" "VacationValidated" "CreateAccountingFile" "CreateAdministratifFile" "VacationRejected" "UpdateAccountingFile" "UpdateAdministratifFile" "UpdateFileType" "UpdateThumbUrl" "UpdatedByCheckSumJobs" "UpdatedByDropBoxJobs" "UpdatedByMagasJobs" "SoftDeleteFile" "RealDeleteFile" "SoftDeletedByMagasJobs" "BankinStateNeedHumanAction" "BankinStateInvalidCredentials" "UpdatedByOcrJobs" "CreatePrivateNote" "MessagingReplyTo" "ReceivedEmailError" "FileIsAttachedToTicket" "TicketWithoutAnswerAfter24H" "MentionPrivate" "MentionPublic" "CreateNote" "FileIsAttachedToRevision" "NewUserInFred" "ExistedUserInvitation" "NewCollaboratorEmploye" "ExistedCollaboratorEmploye" "NewCollaboratorDaf" "ExistedCollaboratorDaf" "NewCollaboratorFreelancer" "ExistedCollaboratorFreelancer" "NewCollaboratorCeo" "ExistedCollaboratorCeo" "NewCollaboratorCabinet" "ExistedCollaboratorCabinet" "EnterpriseArchive" "EnterpriseClose" "EnterpriseActivate" "EnterpriseInactivate" "EnterpriseCreate" "EnterpriseNameUpdate" "EnterpriseSoftDelete" "EnterpriseUndelete" "EnterpriseAccountingModeUpdate" "EnterpriseTypeToDemo" "EnterpriseTypeToFake" "EnterpriseTypeToTrial" "EnterpriseTypeToNormal" "EnterpriseToIa" "EnterpriseToManual" "EnterpriseToMaga" "EnterpriseToMagaToIa" "EnterpriseToPreAccounting" "EnterpriseToTotalProduction" "AssignmentToAccountant" "AssignmentToCeoDaf" "DeassignmentToAccountant" "Move" "Remove" "DeassignmentToClient" "PublishTickets" "UpdateBookAccountStateStatusAnomaly" "UpdateBookAccountStateStatusValidate" "UpdateBookAccountStateComment" "ReviseEntryLine" "UnreviseEntryLine" "UnsupportedMultipleRecipients" "UnsupportedReceivedEmailFormat" "UnAuthorizedEmail" "ReceiveMailReport" "NoAttachmentFound" "ForwardEmail" "MailToPdfReport" "ConfirmationToClient" "ConfirmationToChiefAccountant" "ConfirmationToChiefMission" "Declined" "Voided" "Completed" "Confirmed" "DownloadFiles" "NewMessage" "NewCollaborator" "WelcomeEmail" "InviteForRegister"
entityId
string or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve specific document from DocumentDb for given enterprise and fileId

Authorizations:
oauth2
query Parameters
enterpriseId
integer <int32>
fileId
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "enterpriseId": 0,
  • "userId": 0,
  • "userName": "string",
  • "urlAvatar": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "entities": [
    ],
  • "message": "string"
}

Retrieve documents for specific entity type for specified enterprise

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
entityChangeType
string or null
Enum: "Unknown" "Technical" "BookEntry" "BookBalance" "User" "Ticket" "Planning" "BankinItem" "AccountingFiles" "FileItem" "Email" "Comment" "Invite" "Enterprise" "SupportAction" "AssignUserRole" "BookEntryLine" "BookAccountState" "InboundMail" "AssignationConfirmation" "NotificationToSale" "DownloadFiles" "NewMessage"
entityId
string or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Balances

Get balance of an Accounting Folder

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:

query

BalanceSnapshotId
integer or null <int32>
required
object (GetBalancesQueryPeriod)
object (GetBalancesQueryPeriod)
AccountScope
string or null
Enum: "General" "Providers" "Customers" "IncomeStatement" "FixedAsset" "Bank"
Filter
required
string
Enum: "Impacted" "Created" "UnBalanced" "UnReviewed" "BalancedWithUnlettered" "Abnormal" "AllAccount" "AllImpactableAccounts" "Optional" "Mandatory"
FilterIncludePrevious
required
boolean
ANouveauFilter
required
string
Enum: "Normal" "Without" "Only" "DontCare"
Aggregation
required
string
Enum: "AuxAggregated" "AuxDetailed" "AuxAggregatedAndDetailed" "Pcg" "WithoutAux" "AggregationOnPcAccountWithDetails" "AggregationOnPcAccountWithoutDetails"
AuxAccountId
integer or null <int32>
WithRevision
required
boolean
WithAccount
boolean or null
WithQuantities
boolean or null
WithTotalAccount
boolean or null
AccountIds
Array of integers or null <int32> [ items <int32 > ]
ExcludeJournalIds
Array of integers or null <int32> [ items <int32 > ]
OnlyJournalIds
Array of integers or null <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "BalanceSnapshotId": 0,
  • "Current": {
    },
  • "Previous": {
    },
  • "AccountScope": "General",
  • "Filter": "Impacted",
  • "FilterIncludePrevious": true,
  • "ANouveauFilter": "Normal",
  • "Aggregation": "AuxAggregated",
  • "AuxAccountId": 0,
  • "WithRevision": true,
  • "WithAccount": true,
  • "WithQuantities": true,
  • "WithTotalAccount": true,
  • "AccountIds": [
    ],
  • "ExcludeJournalIds": [
    ],
  • "OnlyJournalIds": [
    ]
}

Response samples

Content type
application/json
{
  • "Balances": [
    ]
}

Export Balance with all auxiliary

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
string <date-time>

YYYY-MM-DD (renamed beginDate for unknown reason)

endDate
string <date-time>

YYYY-MM-DD

previousStartDate
string or null <date-time>
previousEndDate
string or null <date-time>
balanceSnapshotId
integer or null <int32>
balanceScope
string
Default: "Impacted"
Enum: "Impacted" "Created" "UnBalanced" "UnReviewed" "BalancedWithUnlettered" "Abnormal" "AllAccount" "AllImpactableAccounts" "Optional" "Mandatory"
accountFilterIncludesPreviousRange
boolean
Default: false
output
string
Default: "Xlsx"
Enum: "Csv" "Xlsx" "Pdf"
separator
string or null
Default: ";"
ids
Array of integers or null <int32> [ items <int32 > ]

Responses

Response samples

Content type
application/json
"string"

Export Balance with all auxiliary using post to avoid large ids list

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
StartDate
required
string <date-time>
EndDate
required
string <date-time>
PreviousStartDate
string or null <date-time>
PreviousEndDate
string or null <date-time>
BalanceSnapshotId
integer or null <int32>
AccountScope
string or null
Enum: "General" "Providers" "Customers" "IncomeStatement" "FixedAsset" "Bank"
BalanceScope
required
string
Enum: "Impacted" "Created" "UnBalanced" "UnReviewed" "BalancedWithUnlettered" "Abnormal" "AllAccount" "AllImpactableAccounts" "Optional" "Mandatory"
AccountFilterIncludesPreviousRange
required
boolean
OutputFormat
required
string
Enum: "Csv" "Xlsx" "Pdf"
Separator
string or null
BookAccountIds
Array of integers or null <int32> [ items <int32 > ]
AccountFilter
string or null

Responses

Request samples

Content type
{
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "PreviousStartDate": "2019-08-24T14:15:22Z",
  • "PreviousEndDate": "2019-08-24T14:15:22Z",
  • "BalanceSnapshotId": 0,
  • "AccountScope": "General",
  • "BalanceScope": "Impacted",
  • "AccountFilterIncludesPreviousRange": true,
  • "OutputFormat": "Csv",
  • "Separator": "string",
  • "BookAccountIds": [
    ],
  • "AccountFilter": "string"
}

Response samples

Content type
application/json
"string"

Get balance of account by Id of period

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountId
required
integer <int32>
subAccountId
integer or null <int32>
beginDate
string <date-time>
endDate
string <date-time>

Responses

Response samples

Content type
application/json
{
  • "Balance": 0,
  • "DebitAmount": 0,
  • "CreditAmount": 0,
  • "NbLine": 0,
  • "FirstEntryDate": "2019-08-24T14:15:22Z",
  • "LastEntryDate": "2019-08-24T14:15:22Z",
  • "AccountId": 0,
  • "SubAccountId": 0
}

Export Balance with all auxiliaries balances in other pages

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
required
string <date-time>
endDate
required
string <date-time>
prevBeginDate
string or null <date-time>
prevEndDate
string or null <date-time>
balanceSnapshotId
integer or null <int32>

Responses

Response samples

Content type
application/json
"string"

Return Profit-Loss

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
required
string <date-time>
endDate
required
string <date-time>
previousBeginDate
string or null <date-time>
previousEndDate
string or null <date-time>
balanceSnapshotId
integer or null <int32>

Responses

Response samples

Content type
application/json
{
  • "Current": 0.1,
  • "Previous": 0.1
}

BalanceSnapshots

Get list of balances snapshots

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create a new balance snapshot

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
Name
required
string
BeginDate
required
string <date-time>
EndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "Name": "string",
  • "BeginDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "Id": 0,
  • "Name": "string",
  • "Period": {
    }
}

Update balance snapshot title

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
id
required
integer <int32>
Request Body schema:
required
Name
required
string

Responses

Request samples

Content type
{
  • "Name": "string"
}

Delete a balance snapshot

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
id
required
integer <int32>

Responses

Create a new balance snapshot from an import

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
Name
required
string or null
BeginDate
required
string <date-time>
EndDate
required
string <date-time>
required
Array of objects or null (CreateBalanceSnapshotContentFromImportCommand)

Responses

Request samples

Content type
{
  • "Name": "string",
  • "BeginDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "ContentCommands": [
    ]
}

BankAssociation

Get banks / bank accounts and their association by enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get banks / bank accounts and their association by enterprise and accounts

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

query Parameters
accountIds
Array of integers or null <int32> [ items <int32 > ]

The list of bank account Ids

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get banks / bank accounts and their association by enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

bankAccountId
required
integer <int32>

The bank account Id

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "JournalId": 0,
  • "SourceId": 0,
  • "Type": "None",
  • "IsSynchronizing": true,
  • "MergeDate": "2019-08-24T14:15:22Z",
  • "LastSynchronizationDate": "2019-08-24T14:15:22Z",
  • "LastReconciliationDate": "2019-08-24T14:15:22Z",
  • "IsProtected": true,
  • "IsActive": true,
  • "SyncStartDate": "2019-08-24T14:15:22Z"
}

Associate the bank account to a new sub account Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

bankAccountId
required
integer <int32>

bank account id

Responses

Response samples

Content type
application/json
{
  • "SourceId": 0,
  • "Id": 0,
  • "EnterpriseId": 0,
  • "BankinBankId": 0,
  • "Name": "string",
  • "Balance": 0.1,
  • "CurrencyCode": "string",
  • "Type": "string",
  • "AccountUpdatedAt": "2019-08-24T14:15:22Z",
  • "Description": "string",
  • "IsActive": true,
  • "Association": {
    }
}

Associate the bank account to a selected sub account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

bankAccountId
required
integer <int32>

bank account id

Request Body schema:
EnterpriseId
required
integer <int32>
BankAccountId
required
integer <int32>
AccountId
required
integer <int32>
SubAccountId
integer or null <int32>
JournalId
integer or null <int32>
SyncStartDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "EnterpriseId": 0,
  • "BankAccountId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "JournalId": 0,
  • "SyncStartDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "SourceId": 0,
  • "Id": 0,
  • "EnterpriseId": 0,
  • "BankinBankId": 0,
  • "Name": "string",
  • "Balance": 0.1,
  • "CurrencyCode": "string",
  • "Type": "string",
  • "AccountUpdatedAt": "2019-08-24T14:15:22Z",
  • "Description": "string",
  • "IsActive": true,
  • "Association": {
    }
}

Dissociate sub account and bank account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

bankAccountId
required
integer <int32>

The bank account Id

Responses

Validate the new bank association with selected sub account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

bankAccountId
required
integer <int32>

bank account id

Request Body schema:
EnterpriseId
required
integer <int32>
BankAccountId
required
integer <int32>
AccountId
required
integer <int32>
SubAccountId
integer or null <int32>
JournalId
integer or null <int32>
SyncStartDate
string or null <date-time>
AssociationId
integer or null <int32>

Responses

Request samples

Content type
{
  • "EnterpriseId": 0,
  • "BankAccountId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "JournalId": 0,
  • "SyncStartDate": "2019-08-24T14:15:22Z",
  • "AssociationId": 0
}

Response samples

Content type
application/json
{
  • "AccountBalance": 0.1,
  • "BankBalance": 0.1,
  • "StartDateMinimum": "2019-08-24T14:15:22Z",
  • "BookEntryEndDate": "2019-08-24T14:15:22Z",
  • "BankBalanceDate": "2019-08-24T14:15:22Z"
}

Dissociate sub account and bank account Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

subAccountId
required
integer or null <int32>

The sub account id

query Parameters
accountId
integer or null <int32>

Account Id

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "JournalId": 0,
  • "SourceId": 0,
  • "Type": "None",
  • "IsSynchronizing": true,
  • "MergeDate": "2019-08-24T14:15:22Z",
  • "LastSynchronizationDate": "2019-08-24T14:15:22Z",
  • "LastReconciliationDate": "2019-08-24T14:15:22Z",
  • "IsProtected": true,
  • "IsActive": true,
  • "SyncStartDate": "2019-08-24T14:15:22Z"
}

Get associated bank account for the sub account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

subAccountId
required
integer or null <int32>

The sub account id

query Parameters
accountId
integer or null <int32>

Account Id

Responses

Response samples

Content type
application/json
{
  • "IsConnected": true,
  • "BankName": "string",
  • "BankId": 0,
  • "Description": "string",
  • "Name": "string",
  • "Id": 0,
  • "SynchronizationStatus": "Synchronizing",
  • "DisplayName": "string"
}

Update merge date for an association

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

subAccountId
required
integer or null <int32>

SubAccount Id

Request Body schema: multipart/form-data
accountId
integer or null <int32>

Account Id

newMergeDate
string <date-time>

New merge date

Responses

BankAssociation_GetOrCreateBankJournal

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "Type": "Other",
  • "TypeDescription": "string",
  • "Name": "string",
  • "Description": "string",
  • "EnterpriseId": 0
}

BankAssociation_GetOrCreateCounterPartyDisbursementAccount

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Code": "string",
  • "Label": "string",
  • "AccountId": 0,
  • "AccountNumber": 0,
  • "Id": 0,
  • "Name": "string"
}

BankAssociation_GetOrCreateCounterPartyReceiptAccount

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Code": "string",
  • "Label": "string",
  • "AccountId": 0,
  • "AccountNumber": 0,
  • "Id": 0,
  • "Name": "string"
}

Set Association Sync Status To Start

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
associationId
required
integer <int32>

Responses

Set Association Sync Status To End

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
associationId
required
integer <int32>

Responses

Update flag IsProtected for an association given an accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Accounting folder Id

query Parameters
isProtected
boolean

Set whether the account should be protected or not.

Responses

Update flag IsProtected for an association given a cabinet

Authorizations:
oauth2
path Parameters
cabinetId
required
integer <int32>

Cabinet Id

query Parameters
isProtected
boolean

Set whether the account should be protected or not.

Responses

Bankin

Get All Banks

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get a bank connection Url Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

id
required
integer <int32>

Bank id

query Parameters
returnUrl
string or null

Optionnal string to manually redirect to a Url after bankin login

Responses

Response samples

Content type
application/json
{
  • "Url": "string",
  • "RequestConnectionId": "string"
}

Get a bank connection Url

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

Responses

Response samples

Content type
application/json
{
  • "Url": "string",
  • "RequestConnectionId": "string"
}

Receives a redirect callback from the Bridge banking service after user authentication.

Authorizations:
oauth2
query Parameters
user_uuid
string or null

User uuid from redirect

item_id
integer <int64>

Item id from redirect

success
boolean
step
string or null

Responses

Get a bank connection with its optional accounts and states

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
bankId
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Status": "string",
  • "BankId": 0,
  • "Id": 0,
  • "Name": "string"
}

Delete a bank connection

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise Id

bankConnectionId
required
integer <int32>

Bank id

Responses

Change a Bankin account state

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
Array
Id
required
integer <int32>
IsActive
required
boolean

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
application/json
0
0

Get Account by id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
id
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "SourceId": 0,
  • "Id": 0,
  • "EnterpriseId": 0,
  • "BankId": 0,
  • "Name": "string",
  • "Balance": 0.1,
  • "CurrencyCode": "string",
  • "Type": "string",
  • "State": "string",
  • "Description": "string",
  • "IsVisible": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "Provider": "string",
  • "Iban": "string",
  • "IsValidIban": true,
  • "Bic": "string"
}

Change bankin account(s) description

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
Array
Id
required
integer <int32>
Description
string or null

Responses

Request samples

Content type
[
  • {
    }
]

Get Transactions

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
accountId
integer or null <int32>
beginDate
string or null <date-time>
endDate
string or null <date-time>
searchTextOrAmount
string or null

Responses

Get Transactions balance

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
string or null <date-time>
endDate
string or null <date-time>
accountId
integer or null <int32>

Responses

Response samples

Content type
application/json
{
  • "IncomesAmount": 0.1,
  • "ExpensesAmount": 0.1,
  • "Amount": 0.1,
  • "Items": [
    ]
}

BankMerge

Get the information about if it's possible to merge the two account directly or need to move some lines

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

the id of the concerned enterprise

bankingSubAccountId
required
integer <int32>

The managed sub account id

accountingSubAccountId
required
integer or null <int32>

The sub account id

query Parameters
accountId
integer or null <int32>

Accounting Account Id

Responses

Response samples

Content type
application/json
{
  • "MergeDate": "2019-08-24T14:15:22Z",
  • "IsOk": true,
  • "Balance": 0
}

Get the result of the comparison between the banking sub account and the sub account at the merge date

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

the id of the concerned enterprise

bankingSubAccountId
required
integer <int32>

The managed sub account id

accountingSubAccountId
required
integer or null <int32>

The sub account id

query Parameters
accountId
integer or null <int32>

Responses

Response samples

Content type
application/json
{
  • "MergeDate": "2019-08-24T14:15:22Z",
  • "BankBalance": 0,
  • "AccountingBalance": 0,
  • "MergedEntryLinesBalance": 0,
  • "Gap": 0
}

Final step to merge a bank account with a sub account

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

the id of the concerned enterprise

bankingSubAccountId
required
integer <int32>

The managed sub account id

accountingSubAccountId
required
integer or null <int32>

The sub account id

query Parameters
sourceAccountId
integer or null <int32>
destinationAccountId
integer or null <int32>
Request Body schema:

Array of line ids which needs to be moved around the merge date

Array
integer <int64>

Responses

Request samples

Content type
[
  • 0
]

Response samples

Content type
application/json
{
  • "Id": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "JournalId": 0,
  • "SourceId": 0,
  • "Type": "None",
  • "IsSynchronizing": true,
  • "MergeDate": "2019-08-24T14:15:22Z",
  • "LastSynchronizationDate": "2019-08-24T14:15:22Z",
  • "LastReconciliationDate": "2019-08-24T14:15:22Z",
  • "IsProtected": true,
  • "IsActive": true,
  • "SyncStartDate": "2019-08-24T14:15:22Z"
}

BankMerge_CheckDateBeforeMerge

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
bankingSubAccountId
required
integer <int32>
accountingSubAccountId
required
integer <int32>

Responses

BankReconciliation

Get matched bank reconciliation information by source

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
sourceType
string
Enum: "Unknown" "WaitingLine" "Sellsy" "CapPar" "CcaPca" "Loan" "Lease" "QuickBooks" "PublicApi" "VatDeclaration" "ANouveau" "FixedAsset" "Grant" "Meg" "Silae" "Billing" "Transfer" "Banking" "Chaintrust" "Payment" "CurrentAccountInterest" "Provision" "Reverse" "ViDA"
sourceId
string or null
startDate
string or null <date-time>
endDate
string or null <date-time>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get unmatched bank reconciliation information by source

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
sourceType
string
Enum: "Unknown" "WaitingLine" "Sellsy" "CapPar" "CcaPca" "Loan" "Lease" "QuickBooks" "PublicApi" "VatDeclaration" "ANouveau" "FixedAsset" "Grant" "Meg" "Silae" "Billing" "Transfer" "Banking" "Chaintrust" "Payment" "CurrentAccountInterest" "Provision" "Reverse" "ViDA"
sourceIds
Array of strings or null
startDate
string or null <date-time>
endDate
string or null <date-time>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get entry lines by account number

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
account
required
integer <int32>
startDate
string or null <date-time>
endDate
string or null <date-time>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

BankSynchronization

Get Entry by Transaction Id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

transactionId
required
integer <int32>

The transaction Id

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "TransactionId": 0,
  • "Label": "string",
  • "EnterpriseId": 0,
  • "UpdateByUserId": 0,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "Lines": [
    ],
  • "Date": "2019-08-24T14:15:22Z",
  • "JournalId": 0,
  • "ValidationDate": "2019-08-24T14:15:22Z"
}

Get Entries by transactions id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

Request Body schema:

Transactions

Array
integer <int32>

Responses

Request samples

Content type
[
  • 0
]

Response samples

Content type
application/json
[
  • {
    }
]

Synchronize banking transactions with entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

Request Body schema:

Create Entry Command

TransactionId
required
integer <int32>
FileId
integer or null <int32>
EnterpriseId
required
integer <int32>
Date
required
string <date-time>
DocRef
string or null
Label
string or null <= 256 characters
Source
required
string
Enum: "ByUser" "ImportFec" "Server" "ImportBalance" "ImportFred" "FixedAsset" "Sellsy" "CutOff" "QuickBooks" "Loan" "Lease" "PublicApi" "VatDeclaration" "ANouveau" "Meg" "Silae" "Billing" "Grant" "Transfer" "Banking" "Chaintrust" "Payment" "CurrentAccountInterest" "Provision" "Stock" "Reverse" "ViDA" "Cashbook"
SourceId
string or null
JournalId
required
integer <int32>
required
Array of objects (CreateEntryLineCommand)

Responses

Request samples

Content type
{
  • "TransactionId": 0,
  • "FileId": 0,
  • "EnterpriseId": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "DocRef": "string",
  • "Label": "string",
  • "Source": "ByUser",
  • "SourceId": "string",
  • "JournalId": 0,
  • "Lines": [
    ]
}

Synchronize banking transactions with entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

Request Body schema:
Id
required
integer <int32>
Date
required
string <date-time>
Label
required
string <= 256 characters
required
Array of objects (UpdateBankEntryLineCommand)
DeletedAt
string or null <date-time>

Responses

Request samples

Content type
{
  • "Id": 0,
  • "Date": "2019-08-24T14:15:22Z",
  • "Label": "string",
  • "Lines": [
    ],
  • "DeletedAt": "2019-08-24T14:15:22Z"
}

Synchronize banking transactions with entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

Request Body schema:
required
Array of objects (CreateBankEntryCommand)

Responses

Request samples

Content type
{
  • "Commands": [
    ]
}

Synchronize banking transactions with entries

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

Request Body schema:
Array
Id
required
integer <int32>
Date
required
string <date-time>
Label
required
string <= 256 characters
required
Array of objects (UpdateBankEntryLineCommand)
DeletedAt
string or null <date-time>

Responses

Request samples

Content type
[
  • {
    }
]

Unlink Entry and Transaction

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

entryId
required
integer <int32>

The entry Id

Responses

Unlink Entry and Transaction

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise Id

query Parameters
entriesId
Array of integers or null <int32> [ items <int32 > ]

Entries id

Responses

Synchronize banking transactions with entries during a new account association

Authorizations:
oauth2

Responses

BookAccounts

Get accounts of an enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
scope
string
Default: "All"
Enum: "Impacted" "All" "Eligible" "Referential" "Balance" "Journal"

All(default): all possible accounts of enterprise. Impacted: only accounts having entries. Eligible: all eligible accounts to create entry or divide account. Referential: common account accross all enterprises. Balance: impacted accounts with parents. Journal: impacted accounts with parents. JournalAux: list of auxiliarized accounts

beginDate
string or null <date-time>

YYYY-MM-DD

endDate
string or null <date-time>

YYYY-MM-DD

journalId
integer or null <int32>
bookAccountId
integer or null <int32>
bookSubAccountId
integer or null <int32>
bookAccountTextSearch
string or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Insert an enterpise account (only sub accounts allowed)

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
required
EnterpriseId
required
integer <int32>
AccountId
required
integer <int32>
IsAux
boolean or null
IsImpactable
boolean or null
SubAccountLabel
string or null <= 100 characters
SubAccountCode
string or null <= 32 characters
BookOperationId
integer or null <int32>
AtDate
string or null <date-time>
ReturnAccountIfAlreadyExists
boolean or null

Responses

Request samples

Content type
{
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "IsAux": true,
  • "IsImpactable": true,
  • "SubAccountLabel": "string",
  • "SubAccountCode": "string",
  • "BookOperationId": 0,
  • "AtDate": "2019-08-24T14:15:22Z",
  • "ReturnAccountIfAlreadyExists": true
}

Response samples

Content type
application/json
{
  • "ContactId": 0,
  • "Managed": true,
  • "Impactable": true,
  • "Dividable": true,
  • "Configurable": true,
  • "Optional": true,
  • "StatusByPeriod": [
    ],
  • "AuxAccount": 0,
  • "Divided": "None",
  • "IsAux": true,
  • "IsSub": true,
  • "MappingAccount": 0,
  • "BookOperationId": 0,
  • "ValidFrom": "2019-08-24T14:15:22Z",
  • "ValidTo": "2019-08-24T14:15:22Z",
  • "DeletedAt": "2019-08-24T14:15:22Z",
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Account": 0,
  • "AccountClass": 0,
  • "AccountLabel": "string",
  • "AccountName": "string",
  • "AccountDescription": "string",
  • "SubAccountLabel": "string",
  • "SubAccountCode": "string"
}

Get public url of accounts map in pdf file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
beginDate
string <date-time>
endDate
string <date-time>

Responses

Response samples

Content type
application/json
"string"

Get all accounts

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The id of enterprise

query Parameters
withoutAuxiliaryAccounts
boolean or null

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get all accounts included in fixed asset category (class : 2) Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The id of enterprise

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get BookAccountDto by its Id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
bookAccountId
required
integer <int32>
query Parameters
bookSubAccountId
integer or null <int32>
classicMode
boolean
Default: false

Responses

Response samples

Content type
application/json
{
  • "ContactId": 0,
  • "Managed": true,
  • "Impactable": true,
  • "Dividable": true,
  • "Configurable": true,
  • "Optional": true,
  • "StatusByPeriod": [
    ],
  • "AuxAccount": 0,
  • "Divided": "None",
  • "IsAux": true,
  • "IsSub": true,
  • "MappingAccount": 0,
  • "BookOperationId": 0,
  • "ValidFrom": "2019-08-24T14:15:22Z",
  • "ValidTo": "2019-08-24T14:15:22Z",
  • "DeletedAt": "2019-08-24T14:15:22Z",
  • "EnterpriseId": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "Account": 0,
  • "AccountClass": 0,
  • "AccountLabel": "string",
  • "AccountName": "string",
  • "AccountDescription": "string",
  • "SubAccountLabel": "string",
  • "SubAccountCode": "string"
}

Get CounterParty accounts

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get CounterParty accounts

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
startDate
string or null <date-time>
endDate
string or null <date-time>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Bank accounts

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
startDate
string or null <date-time>
endDate
string or null <date-time>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Returns an error message if the account can't be deleted because it has lines

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
bookAccountId
required
integer <int32>
query Parameters
bookSubAccountId
integer <int32>

Responses

Response samples

Content type
application/json
"string"

Returns an error message if any accounts can't be deleted because it has lines

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
bookAccountsId
Array of integers or null <int32> [ items <int32 > ]
bookSubAccountsId
Array of integers or null <int32> [ items <int32 > ]

Responses

Response samples

Content type
application/json
"string"

Get bank sub accounts for association

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get impactable accounts by class

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
accountClass
required
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get accounts by class

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The id of enterprise

accountClass
required
integer <int32>

Account class

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get impactable accounts by number

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The id of enterprise

accountNumber
required
integer <int32>

Account number

Responses

Response samples

Content type
application/json
[
  • {
    }
]

BookEntries

Get Entry line by sourceId including deleted line

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

enterpriseId

query Parameters
sourceId
required
string

the source Id

Responses

Response samples

Content type
application/json
{
  • "EnterpriseId": 0,
  • "Id": 0,
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "EntryId": 0,
  • "Label": "string",
  • "BookAccountDto": {
    },
  • "DebitAmount": 0,
  • "CreditAmount": 0,
  • "Amount": 0,
  • "CurrencyId": 0,
  • "Currency": "string",
  • "MatchedId": 0,
  • "MatchedLetter": "string",
  • "MatchedDate": "2019-08-24T14:15:22Z",
  • "MatchedLetterOrientation": "PreviousExercise",
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "RuleId": "string",
  • "Warning": "string",
  • "Type": "None",
  • "CutOffType": "None",
  • "BookEntryLineAssociations": [
    ],
  • "FxCurrencyId": 0,
  • "FxDate": "2019-08-24T14:15:22Z",
  • "FxRate": 0.1,
  • "BankManaged": true,
  • "Revision": "Unrevised",
  • "ReAllocated": true,
  • "ReAllocatedAt": "2019-08-24T14:15:22Z",
  • "ReAllocatedByUserId": 0,
  • "SourceId": "string",
  • "SourceType": "Unknown",
  • "DeletedAt": "2019-08-24T14:15:22Z",
  • "MatchedType": "Unknown",
  • "Analytics": [
    ],
  • "IsPartialLettering": true
}

Get all source Id from sellsy for a given enterprise

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

enterprise Id

Responses

Response samples

Content type
application/json
[
  • {
    }
]

recover writing with at least one lettering line equal letterId

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
id
required
integer <int32>

ids of entries

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get one by Id Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
id
required
integer <int32>

Responses

Response samples

Content type
application/json
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "JournalId": 0,
  • "JournalName": "string",
  • "EntryRef": "string",
  • "Date": "2019-08-24T14:15:22Z",
  • "ExerciseId": 0,
  • "Label": "string",
  • "ValidationDate": "2019-08-24T14:15:22Z",
  • "ValidateDate": "2019-08-24T14:15:22Z",
  • "ValidationNumber": 0,
  • "DocRef": "string",
  • "FileId": 0,
  • "DocDate": "2019-08-24T14:15:22Z",
  • "TransactionId": 0,
  • "Source": "ByUser",
  • "SourceId": "string",
  • "Conf": 0.1,
  • "Warning": "string",
  • "BankManaged": true,
  • "OperationId": 0,
  • "LastUpdateDate": "2019-08-24T14:15:22Z",
  • "UserInfo": {
    },
  • "Lines": [
    ]
}

Create multiple entries in one transaction (all or nothing) Entry Mandatory : EnterpriseId, JournalId, Status(default Pending), Date, Lines. Optional: Label, FileId, DocRef EntryLine mandatory : AccountId, CurrencyId, Debit/Credit amount. Optional: SubAccountId

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
Request Body schema:
Array
Id
required
integer <int32>
EnterpriseId
required
integer <int32>
Date
required
string <date-time>
JournalId
required
integer <int32>
JournalName
string or null
EntryRef
string or null
ExerciseId
integer or null <int32>
Label
string or null
ValidationDate
string or null <date-time>
ValidationDateImported
string or null <date-time>
ValidationNumberImported
string or null
DocRef
string or null
FileId
integer or null <int32>
DocDate
string or null <date-time>
TransactionId
integer or null <int32>
Source
required
string
Enum: "ByUser" "ImportFec" "Server" "ImportBalance" "ImportFred" "FixedAsset" "Sellsy" "CutOff" "QuickBooks" "Loan" "Lease" "PublicApi" "VatDeclaration" "ANouveau" "Meg" "Silae" "Billing" "Grant" "Transfer" "Banking" "Chaintrust" "Payment" "CurrentAccountInterest" "Provision" "Stock" "Reverse" "ViDA" "Cashbook"
Conf
number or null <double>
Warning
string or null
OperationId
integer or null <int32>
LastUpdateDate
required
string <date-time>
object (UserInfoViewModel)
SourceId
string or null
Array of objects or null (BookEntryLineDto)

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Match (Lettering) entry lines. Must be same Account. Will return a compensation entry if sum is different from 0 Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
validate
boolean
Default: true

Accept match impacts (like unmatch, compensation entry...) or pass impacts as parameters

compensationEntryDiffType
string
Default: "Exchange"
Enum: "Exchange" "Settlement" "Offsetting"

Set type of compensation if needed

Request Body schema:

Send entry line Ids to match entry lines. if impacts is empty, will return new letter dto, if impact is not empty, either resend with validate to false or resend with known impacts

Id
[...]
